# Keyboard Shortcuts

## Neovim

**Basic**

- ++ctrl+h++/++j++/++k++/++l++ : move to left / down / up / right window
- ++alt+up++/++down++/++left++/++right++ : increase / decrease -> height / width
- ++alt+h++/++j++/++k++/++l++ : move lines to left / down / up / right
- ++n++/++shift+n++ : next / previous search result
- ++ctrl+s++ : save file
- ++space+f+n++ : new file

**Neotree**

- ++space+e++ : toggle neotree
- ++period++ : change root to directory
- ++a++ : add file
- ++d++ : delete file
- ++r++ : rename file
- ++shift+h++ : toggle hidden
- ++shift+i++ : toggle gitignore

**Telescope**

- ++space+f+f++ : find files
- ++space+f+g++ : search files
- ++space+f+b++ : switch buffers

**LSP**

- ++g+l++ : show diagnostics
- ++g+d++ : go to definition
- ++g+d++ : go to declaration
- ++shift+k++ : preview

**Spell**

- ++z+equal++ : list suggestions
- ++z+g++ : mark word as good
- ++z+w++ : mark word as bad

**Buffers**

- ++tab++ : Cycle to next buffer
- ++shift+tab++ : Cycle to previous buffer
- ++b+q++ : Close current buffer
- ++space+b+q++ : Close all other buffers


## Minecraft
